net.sourceforge.pmd.lang.java.ast

## Class ASTPrimitiveType

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode
      - - net.sourceforge.pmd.lang.java.ast.ASTPrimitiveType

All Implemented Interfaces:
  Node, Dimensionable, JavaNode, TypeNode

    public class ASTPrimitiveType
    extends AbstractJavaTypeNode
    implements Dimensionable

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTPrimitiveType(int id)`
`ASTPrimitiveType(JavaParser p, int id)`

### Method Summary

Methods
`void` `bumpArrayDepth()`
`int` `getArrayDepth()`
`boolean` `isArray()`
`boolean` `isBoolean()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode

`getType, setType`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTPrimitiveType

    public ASTPrimitiveType(int id)

#### ASTPrimitiveType

    public ASTPrimitiveType(JavaParser p,
                    int id)

### Method Detail

#### isBoolean

    public boolean isBoolean()

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### bumpArrayDepth

    public void bumpArrayDepth()

#### getArrayDepth

    public int getArrayDepth()

Specified by:
  `getArrayDepth` in interface `Dimensionable`

#### isArray

    public boolean isArray()

Specified by:
  `isArray` in interface `Dimensionable`